DH_PERL(1)

NOM
dh_perl - Déterminer les dépendances Perl et fait le ménage après MakeMaker

SYNOPSIS
dh_perl [options_de_debhelper] [-d] [répertoires de bibliothèque ...]

DESCRIPTION
dh_perl est le programme de la suite debhelper chargé de produire les substitutions ${perl:Depends} et de les ajouter aux fichiers des variables de substitution (substvars files).

Le programme examine les scripts et les modules Perl du paquet, et exploite cette information pour produire une dépendance vers perl ou perlapi. La substitution a lieu dans le fichier control du paquet, à l'emplacement où est indiqué ${perl:Depends}.

dh_perl supprime aussi les répertoires vides que MakeMaker a pu générer lors de l'installation des modules Perl.

OPTIONS

-d  Dans quelques cas spécifiques, il peut être souhaitable de créer la dépendance envers perl-base plutôt qu'envers le paquet perl complet. Dans ce cas, l'option -d entraîne b<dh_perl> à produire une dépendance sur le bon paquet de base. Cela n'est nécessaire que pour quelques paquets inclus dans le système de base.

    Nota : Cette option peut ne produire aucune dépendance sur perl-base. Du fait que perl-base fait partie des paquets « Essential », sa dépendance peut être omise, à moins qu'une dépendance de version soit nécessaire.

-V  Par défaut, les scripts et les modules indépendants de l'architecture ne dépendent pas d'une version spécifique de perl. L'option -V permet d'indiquer la version en cours du paquet perl (ou perl-base avec -d).

répertoires de bibliothèque
    Si le paquet installe les modules Perl dans des répertoires non standards, il est possible de forcer dh_perl à vérifier ces répertoires en passant leur nom en argument de la ligne de commande. Par défaut il vérifiera seulement les répertoires vendorlib et vendorarch.

CONFORMITÉ
Charte Debian, version 3.8.3

Charte Perl, version 1.20

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Brendan O'Dea <bod@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».